Update initrds after installing linux-firmware

Bug #1646197 reported by Seth Forshee
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Fix Released
Medium
Seth Forshee
Precise
Won't Fix
Low
Seth Forshee
Trusty
Fix Released
Low
Seth Forshee
Xenial
Fix Released
High
Seth Forshee
Yakkety
Fix Released
Low
Seth Forshee
Zesty
Fix Released
Medium
Seth Forshee

Bug Description

linux-firmware should have a postinst script to call update-initramfs to update/remove firmware files in the initrds.

Seth Forshee (sforshee)
Changed in linux-firmware (Ubuntu Precise):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Low
status: New → Confirmed
Changed in linux-firmware (Ubuntu Trusty):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Low
status: New → Confirmed
Changed in linux-firmware (Ubuntu Xenial):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-firmware (Ubuntu Yakkety):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Low
status: New → Confirmed
Seth Forshee (sforshee)
Changed in linux-firmware (Ubuntu Zesty):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Precise):
status: Confirmed → Fix Committed
Changed in linux-firmware (Ubuntu Trusty):
status: Confirmed → Fix Committed
Changed in linux-firmware (Ubuntu Yakkety):
status: Confirmed → Fix Committed
Seth Forshee (sforshee)
Changed in linux-firmware (Ubuntu Xenial):
importance: Medium → High
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.162

---------------
linux-firmware (1.162) zesty; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    87941021a622c882b1921df85d6115940a4e568a
    - Update Intel OPA hfi1 firmware file
    - brcm: add firmware for BCM43430 802.11n chipset
    - amdgpu: update tonga and fiji VCE firmware to 52.8.3
    - Add a metadata consistency check script
    - WHENCE: Correct filename of LICENCE.moxa
    - Add copy of GPL v2 and references to the GPL-2 and GPL-3 files
    - WHENCE: Specify source directories for cis, isci, and usbdux firmware
    - WHENCE: Remove references to source for emi62 firmware
    - WHENCE: Remove references to two nvidia firmware files that were never added
    - Remove unused 'LICENCE.mwl8335'
    - WHENCE: Adjust some licence file references to satisfy check_whence.py
    - WHENCE: Fix metadata for snd-soc-skl firmware
    - WHENCE: List new radeon CI and SI smc firmware
    - WHENCE: List symlink 'qat_mmp.bin'
    - WHENCE: Add reference to 'qca/NOTICE.txt'
    - README: Say that files must be listed in WHENCE, and how to check it
    - radeon: update SMC firmware for SI parts
    - radeon: update SMC firmware for CI parts
    - amdgpu: update SMC firmware for VI parts
    - mediatek: update MT8173 VPU firmware for idle state
    - amdgpu: add new smc firmware for newer tonga and iceland chips
    - linux-firmware: rockchip: update dptx firmware to v3.1
    - rockchip/dptx: update WHENCE to version 3.1
    - linux-firmware: update BYT audio firmware
    - rtlwifi: Add updates for RTL8723BE and RTL8821AE
    - linux-firmware: Update firmware patch for Intel Bluetooth 7265 (C0)
    - linux-firmware: Update firmware patch for Intel Bluetooth 7265 (D1)
    - linux-firmware: Update firmware patch for Intel Bluetooth 7260 (B5/B6)
    - linux-firmware: Update firmware file for Intel Bluetooth 8260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265

  * Trigger update-initramfs following linux-firmware install (LP: #1646197)
    - UBUNTU: Add postinst script to update initrds

  * Don't install build scripts, and move GPL license files to the license
    install directory.
    - UBUNTU: Build and license file installation changes

 -- Seth Forshee <email address hidden> Wed, 30 Nov 2016 14:50:27 -0600

Changed in linux-firmware (Ubuntu Zesty):
status: Fix Committed → Fix Released
Revision history for this message
Adam Conrad (adconrad) wrote : Please test proposed package

Hello Seth, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Seth Forshee (sforshee) wrote :

Verified linux-firmware 1.157.6 from xenial-proposed.

tags: added: verification-done
Revision history for this message
Adam Conrad (adconrad) wrote :

Hello Seth, or anyone else affected,

Accepted linux-firmware into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.127.23 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Adam Conrad (adconrad) wrote :

Hello Seth, or anyone else affected,

Accepted linux-firmware into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.161.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Seth Forshee (sforshee) wrote :

Verification also completed on the trusty and yakkety -proposed packages.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.6

---------------
linux-firmware (1.157.6) xenial; urgency=medium

  * linux-firmware 1.157.5 causes sound issues after initramfs update
    (LP: #1645911)
    - Revert "linux-firmware: First DMC image for Kabylake."

  * Trigger update-initramfs following linux-firmware install (LP: #1646197)
    - UBUNTU: Add postinst script to update initrds

 -- Seth Forshee <email address hidden> Wed, 30 Nov 2016 15:05:05 -0600

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
Revision history for this message
Chris J Arges (arges) wrote : Update Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.127.23

---------------
linux-firmware (1.127.23) trusty; urgency=medium

  * Trigger update-initramfs following linux-firmware install (LP: #1646197)
    - UBUNTU: Add postinst script to update initrds

  * Add i915/skl_guc_ver6.bin to linux-firmware in Trusty (LP: #1642709)
    - linux-firmware/i915: Major GuC release for Skylake - ver 6.1

 -- Seth Forshee <email address hidden> Thu, 01 Dec 2016 15:36:41 -0600

Changed in linux-firmware (Ubuntu Trusty):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.161.1

---------------
linux-firmware (1.161.1) yakkety; urgency=medium

  * Trigger update-initramfs following linux-firmware install (LP: #1646197)
    - UBUNTU: Add postinst script to update initrds

  * Intel 8260 doesn't work with linux kernel 4.8 when using ucode version 22
    (LP: #1647826)
    - UBUNTU: SAUCE: Remove iwlwifi-8000C-22.ucode

 -- Seth Forshee <email address hidden> Tue, 06 Dec 2016 14:42:47 -0600

Changed in linux-firmware (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Revision history for this message
Steve Langasek (vorlon) wrote :

The Precise Pangolin has reached end of life, so this bug will not be fixed for that release

Changed in linux-firmware (Ubuntu Precise):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers